package com.its.wthr.webapp.security;

import org.springframework.security.web.session.HttpSessionEventPublisher;

import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;

public class SessionListener extends HttpSessionEventPublisher {

	public void sessionCreated(HttpSessionEvent se) {
		HttpSession session = se.getSession();
		if (session != null) {
			session.setMaxInactiveInterval(300);
		}

		super.sessionCreated(se);
	}

	public void sessionDestroyed(HttpSessionEvent se) {
		HttpSession session = se.getSession();
		if (session != null) {
			
		}

		super.sessionDestroyed(se);
	}
}